:root {
    --color-primary: #505050;
    --color-secondary: #919191;
    --color-red: #D0021B;
    --color-grayBorder: #E2DFDB;
}





.hide {
    display: none;
}

.occ-ecliente {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 0px;
    font-family: 'CatalanaSans', sans-serif;
    color: var(--color-primary);
}


.occ-ecliente * {
    font-family: "CatalanaSans";
}

.occ-ecliente .occ-ecl-cabecera {
    display: flex;
    justify-content: flex-start;
    padding: 16px 0;
    border-bottom: 1px solid #E2DFDB;
    padding-left: 50px;
    padding-right: 50px;
}

.occ-ecliente .occ-col {
    display: flex;
    flex: 1;
    justify-content: center;
    max-width: 50%;
}

.occ-ecliente .occ-ecl-content {
    display: flex;
    gap: 180px;
    padding: 50px;
    height: calc(100vh - 58px);
    box-sizing: border-box;
}

.occ-ecl-content .occ-col:first-child {
    justify-content: flex-end;
}

.occ-ecl-content .occ-col:last-child {

    justify-content: flex-start;
}

.occ-ecliente .occ-col .occ-image-background {
    display: flex;
    height: 100%;
    background-image: url('../img/ecliente-fondo-rediseno.png');
    background-size: cover;
    background-position: center;
    aspect-ratio: 624 / 768;
    border-radius: 8px;
    position: relative;
    max-width: 100%;
}

.occ-ecliente .occ-col .occ-image-background video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
}

.occ-ecliente h1 {
    font-family: "Catalana";
    font-weight: 400;
    color: var(--color-primary);
    font-size: 30px;
    text-align: left;
    margin-bottom: 40px;
    max-width: 420px;
    margin-top: 0px;
}

.occ-ecliente .occ-ecliente-form-container {
    max-width: 500px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.occ-ecliente .occ-ecl-campo {
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-bottom: 16px;
}

.occ-ecliente .occ-ecl-campo:last-child {
    margin-bottom: 8px;
}

.occ-ecliente .occ-ecl-campo label {
    width: 100%;
    display: flex;
    font-size: 14px;
    color: var(--color-primary);
}

.occ-ecliente .occ-ecl-campo.occ-ecl-required label::after {
    content: "*";
    color: var(--color-red);
    margin-left: 4px;
}

.occ-ecliente .occ-ecl-campo .input-container {
    position: relative;
    width: 100%;
}

.occ-ecliente .occ-ecl-campo .input-container input {
    width: 100%;
    box-sizing: border-box;
    padding: 12px 16px;
    border: 1px solid var(--color-grayBorder);
    border-radius: 8px;
    font-family: 'CatalanaSans', sans-serif;
    font-size: 12px;
    color: var(--color-primary) !important;
}

.occ-ecliente .occ-ecl-campo .input-container input:focus {
    border: 1px solid var(--color-primary);
    outline: 1px solid var(--color-primary);
}

.occ-ecliente .gco-ecl-texto-ayuda {
    font-family: 'CatalanaSans', sans-serif;
    font-size: 12px;
    color: var(--color-primary);
    padding-top: 8px;
    display: flex;
}

.occ-ecliente .icon-ojo {
    position: absolute;
    right: 12px;
    top: 10px;
    cursor: pointer;
    color: #D90028;
}

.occ-ecliente .icon-ojo:hover {
    opacity: 0.8;
}

.occ-ecliente .btn-enviar {
    width: 100%;
    padding: 12px 16px;
    background-color: var(--color-red);
    color: #FFFFFF;
    border: none;
    border-radius: 8px;
    font-family: "Catalanasans";
    font-size: 16px;
    cursor: pointer;
}

.occ-ecliente .btn-enviar:hover {
    border: none;
    background: linear-gradient(278.83deg, transparent 4.28%, #D90028 84.54%) !important;
    background-color: #F37320 !important;
    color: #FFFFFF !important;
}

.occ-ecliente .btn-enviar:disabled {
    opacity: 0.4;
    cursor: not-allowed;
    pointer-events: none;
}

.occ-ecliente .occ-ecl-recuperar-password {
    display: flex;
    justify-content: end;
    margin-bottom: 20px;
}

.occ-ecliente .occ-ecl-recuperar-password p {
    margin-top: 0px;
    margin-bottom: 24px;
}

.occ-ecliente .occ-ecl-recuperar-password .occ-ecl-enlace-recuperar-pass-text {
    color: #D90028;
    cursor: pointer;
    font-size: 14px;
    font-weight: bold;
    text-decoration: underline;
    text-underline-position: under;
}

.occ-ecliente .occ-ecl-recuperar-password .occ-ecl-enlace-recuperar-pass-text:hover {
    opacity: 0.8;
}

.occ-ecliente .error-popup-top {
    border: 1px solid rgba(185, 30, 30, 0.15);
    border-left: 4px solid var(--color-red);
    background-color: #FDEDED;
    border-radius: 8px;
    padding: 16px;
    margin-bottom: 20px;
}

.occ-ecliente .error-popup-top .occ-ecl-wrap-modal-error-container {
    display: flex;
    align-items: center;
    align-items: flex-start;
    gap: 16px;
}

.occ-ecliente .error-popup-top .occ-ecl-wrap-modal-error {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
}

.occ-ecliente .error-popup-top .occ-ecl-titulo-error {
    font-family: "Catalanasans";
    color: var(--color-primary);
    font-size: 16px;
    margin-top: 0px;
    margin-bottom: 6px;
}

.occ-ecliente .error-popup-top p {
    font-family: "Catalanasans";
    color: var(--color-primary);
    font-size: 14px;
    margin-top: 0px;
    margin-bottom: 0px;
}

.occ-ecliente .error-popup-top .occ-ecl-contacto-soporte {
    color: var(--color-red);
    font-size: 14px;
    font-weight: bold;
    text-decoration: underline;
    text-underline-position: under;
}

.occ-ecliente .error-popup-top .occ-ecl-contacto-soporte:hover {
    opacity: 0.8;
}

.occ-ecliente .error-popup-top i {
    color: var(--color-red);
}

.occ-ecliente .occ-ecl-formulario-error .occ-ecl-campo .input-container input {
    outline: 1px solid var(--color-red);
}

.occ-ecliente .occ-col .occ-image-background img {
    display: none;
}

.occ-ecl-video {
    display: none;
}

.occ-ecliente .occ-ecl-recuperar-password {
    margin-bottom: 0px;
}

input[type="text"]+.icon-ojo:after {
    content: "";
    position: absolute;
    border: 1px solid var(--color-red);
    transform: rotate(235deg);
    height: 21px;
    right: 11px;
}

.occ-ecliente .occ-ecl-campo .input-container input::-webkit-credentials-auto-fill-button {
    visibility: hidden;
    display: none !important;
    pointer-events: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 40px white inset !important;
    box-shadow: 0 0 0 40px white inset !important;
    -webkit-text-fill-color: var(--color-primary) !important;

}


@media screen and (max-width: 1400px) {
    .occ-ecliente h1 {
        font-size: 30px;
        max-width: 320px;
    }

    .occ-ecliente .occ-ecliente-form-container {
        max-width: 400px;
    }

    .occ-ecliente .occ-ecl-content {
        gap: 90px;
        width: 100%;
    }

}


@media screen and (max-width: 1200px) and (min-width: 992px) {
    .occ-ecliente .occ-ecl-content {
        padding: 0px;
        height: 100vh;
    }

    .occ-ecliente .occ-col .occ-image-background {
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 0px;
    }

    .occ-ecliente .occ-col .occ-image-background img {
        display: block;
        max-width: 200px;
        z-index: 9;
    }

    .occ-ecliente .occ-ecl-cabecera {
        display: none;
    }

    .occ-ecliente .occ-col .occ-image-background:after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #000;
        opacity: 0.3;
    }
}

@media screen and (max-width: 991px) {
    .occ-ecliente .occ-ecl-content {
        gap: 50px;
    }
}

/*MOBILE*/
@media screen and (max-width: 991px) {

    .occ-ecliente .occ-ecliente-form-container {
        max-width: 530px;
    }

    .occ-ecliente .occ-ecl-cabecera {
        display: none;
    }

    .occ-ecliente .occ-ecl-cabecera img {
        max-width: 200px;
    }

    .occ-ecliente .occ-ecl-content {
        flex-direction: column;
        padding: 0px;
        height: auto;
        gap: 0px;
    }

    .occ-ecliente h1 {
        font-size: 20px;
        margin-bottom: 24px;
    }

    .occ-ecliente .occ-col {
        max-width: 100%;
    }

    .occ-ecliente .occ-col .occ-image-background {
        aspect-ratio: 16 / 10;
        border-radius: 0px;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        width: 100%;
    }

    .occ-ecliente .occ-col .occ-image-background:after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #000;
        opacity: 0.3;
    }

    .occ-ecliente .occ-col .occ-image-background img {
        display: block;
        max-width: 200px;
        z-index: 1;
    }

    .occ-ecliente .occ-ecliente-form-container {
        padding: 24px 24px 30px;
        width: 100%;
    }

    .occ-ecliente .occ-ecliente-form-container {
        padding-bottom: 80px;
    }

    .occ-ecliente .occ-ecl-enviar-container {
        position: fixed;
        bottom: 0px;
        width: 100%;
        box-sizing: border-box;
        left: 0px;
        padding: 20px;
        border-top: 1px solid #E2DFDB;
        background-color: #FFFFFF;
    }

    .occ-ecl-content .occ-col:last-child {
        justify-content: center;
    }   
}

/*END - MOBILE*/

/*MOBILE*/
@media screen and (max-width: 767px) {
    .occ-ecliente .occ-ecl-campo .input-container input {
        font-size: 16px;
    }
    .occ-ecliente .error-popup-top p {
        font-size: 16px;
    }

    .occ-ecliente .occ-col .occ-image-background {
        aspect-ratio: 16 / 10;
    }

    
}